# GUIDELINES

## release of new version

* Create Release Issue
* Create merge request: branch `release_vX.Y.Z` into `master`
* Merge `develop` into `release_vX.Y.Z`
* Checkout `release_vX.Y.Z`
* Adjust `changelog.md`
* Update version number in `mlair/__ init__.py`
* Create new dist file: `python3 setup.py sdist bdist_wheel`
* Update file link in `README.md`
* Update file link in `docs/_source/get-started.rst`
* Commit + push
* Merge `release_vX.Y.Z` into `master`
* Create new tag


## template for release issue

* [ ] Create Release Issue
* [ ] Create merge request: branch `release_vX.Y.Z` into `master`
* [ ] Merge `develop` into `release_vX.Y.Z`
* [ ] Checkout `release_vX.Y.Z`
* [ ] Adjust `changelog.md`
* [ ] Update version number in `mlair/__ init__.py`
* [ ] Create new dist file: `python3 setup.py sdist bdist_wheel`
* [ ] Update file link `distribution file (current version)` in `README.md`
* [ ] Update file link in `docs/_source/get-started.rst`
* [ ] Commit + push
* [ ] Merge `release_vX.Y.Z` into `master`
* [ ] Create new tag